const countries = {
  'US': {
    name: 'United States',
    gdp: '21.43T',
    population: '331M',
    gdpPerCapita: '63,544'
  },
  'CN': {
    name: 'China',
    gdp: '14.72T',
    population: '1.4B',
    gdpPerCapita: '10,500'
  },
  'JP': {
    name: 'Japan',
    gdp: '5.06T',
    population: '126M',
    gdpPerCapita: '40,193'
  },
  'DE': {
    name: 'Germany',
    gdp: '3.85T',
    population: '83M',
    gdpPerCapita: '46,208'
  }
};

document.addEventListener('DOMContentLoaded', () => {
  const country1Select = document.getElementById('country1');
  const country2Select = document.getElementById('country2');
  
  // Populate country dropdowns
  Object.keys(countries).forEach(code => {
    const option = document.createElement('option');
    option.value = code;
    option.textContent = countries[code].name;
    country1Select.appendChild(option.cloneNode(true));
    country2Select.appendChild(option);
  });

  function updateComparison(countryElement, countryCode) {
    if (!countryCode) return;
    
    const data = countries[countryCode];
    const elements = countryElement.querySelectorAll('.value');
    
    elements[0].textContent = data.gdp;
    elements[1].textContent = data.population;
    elements[2].textContent = data.gdpPerCapita;
  }

  country1Select.addEventListener('change', (e) => {
    updateComparison(document.getElementById('country1-data'), e.target.value);
  });

  country2Select.addEventListener('change', (e) => {
    updateComparison(document.getElementById('country2-data'), e.target.value);
  });
});
